service:
  name: 'test'
  secret_key: 'key'
  address: ':8080'
  env: 'test'

dependencies:
  mysql: true
  mysql_read: true
  redis: true
  kafka: true
  elasticsearch: true

base:
  source_type: consul
  path: '/base'

db:
  username: 'user'
  password: 'pass'
  database: 'db'
  protocol: 'tcp'
  address: 'localhost:13306'
  host: 'localhost'
  port: 13306
  parse_time: true
  charset: 'utf8mb4'
  location: 'UTC'

db_read:
  username: 'user'
  password: 'pass'
  database: 'db'
  protocol: 'tcp'
  address: 'localhost:13306'
  host: 'localhost'
  port: 3306
  parse_time: true
  charset: 'utf8mb4'
  location: 'UTC'

redis:
  host: 'localhost'
  port: 6379
  database: 0
  password: 'pass'

log:
  level: 'DEBUG'
  enable_access_log: true
  enable_caller: false
  enable_stacktrace: false
  enable_db_debug_log: true